<?php

namespace App\Repositories\Contracts;

interface RepositoryInterface extends ReadRepositoryInterface, WriteRepositoryInterface
{
    public function getModel(): string;

    public function startTransaction(): void;

    public function commitTransaction(): void;

    public function rollbackTransaction(): void;

    public function transaction(callable $callback): mixed;
}
